org.apache.ignite.internal.processors.platform.datastructures

## Class PlatformAtomicSequence

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.datastructures.PlatformAtomicSequence

All Implemented Interfaces:
  PlatformTarget

    public class PlatformAtomicSequence
    extends PlatformAbstractTarget

Platform atomic sequence wrapper.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformAtomicSequence(PlatformContext ctx, IgniteAtomicSequence atomicSeq)` Ctor.

### Method Summary

Methods
`long` `addAndGet(long l)` Adds a value.
`void` `close()` Removes this atomic.
`long` `get()` Reads the value.
`long` `getAndAdd(long l)` Adds a value.
`long` `getAndIncrement()` Reads and increments the value.
`int` `getBatchSize()` Gets the batch size.
`long` `incrementAndGet()` Increments and reads the value.
`boolean` `isClosed()` Gets status of atomic.
`void` `setBatchSize(int size)` Sets the batch size.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, currentFuture, futureWriter, inObjectStreamOutStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureAndGet, listenFutureForOperation, listenFutureForOperationAndGet, outLong, outObject, outStream, platformContext, processInObjectStreamOutStream, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutLong, processOutObject, processOutStream, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformAtomicSequence

    public PlatformAtomicSequence(PlatformContext ctx,
                          IgniteAtomicSequence atomicSeq)

Ctor.

Parameters:
  `ctx` - Context.
  `atomicSeq` - AtomicSequence to wrap.

### Method Detail

#### get

    public long get()

Reads the value.

Returns:
  Current atomic sequence value.

#### incrementAndGet

    public long incrementAndGet()

Increments and reads the value.

Returns:
  Current atomic sequence value.

#### getAndIncrement

    public long getAndIncrement()

Reads and increments the value.

Returns:
  Original atomic sequence value.

#### addAndGet

    public long addAndGet(long l)

Adds a value.

Returns:
  Current atomic sequence value.

#### getAndAdd

    public long getAndAdd(long l)

Adds a value.

Returns:
  Original atomic sequence value.

#### getBatchSize

    public int getBatchSize()

Gets the batch size.

Returns:
  Batch size.

#### setBatchSize

    public void setBatchSize(int size)

Sets the batch size.

Parameters:
  `size` - Batch size.

#### isClosed

    public boolean isClosed()

Gets status of atomic.

Returns:
  `true` if atomic was removed from cache, `false` in other case.

#### close

    public void close()

Removes this atomic.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016